net.sf.saxon.functions

## Class VendorFunctionLibrary

- java.lang.Object
- - net.sf.saxon.functions.IntegratedFunctionLibrary
  - - net.sf.saxon.functions.VendorFunctionLibrary

- All Implemented Interfaces:
    Serializable, FunctionLibrary
  Direct Known Subclasses:
    ExtraFunctionLibrary

      public class VendorFunctionLibrary
      extends IntegratedFunctionLibrary

  The VendorFunctionLibrary represents specially-recognized functions in the Saxon namespace.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VendorFunctionLibrary()` Create the Vendor Function Library for Saxon

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FunctionLibrary` | `copy()` This method creates a copy of a FunctionLibrary: if the original FunctionLibrary allows new functions to be added, then additions to this copy will not affect the original, or vice versa.
    `protected void` | `init()`
    `Expression` | `makeSaxonFunction(String localName, Expression[] arguments, StaticContext env, Container container)` Make a Saxon function with a given name

    - ### Methods inherited from class net.sf.saxon.functions.IntegratedFunctionLibrary

      `bind, getFunctionItem, isAvailable, makeFunctionCall, registerFunction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VendorFunctionLibrary

          public VendorFunctionLibrary()

      Create the Vendor Function Library for Saxon

  - ### Method Detail

    - #### init

          protected void init()

    - #### copy

          public FunctionLibrary copy()

      Description copied from class: `IntegratedFunctionLibrary`
      This method creates a copy of a FunctionLibrary: if the original FunctionLibrary allows new functions to be added, then additions to this copy will not affect the original, or vice versa.
      Specified by:
        `copy` in interface `FunctionLibrary`
      Overrides:
        `copy` in class `IntegratedFunctionLibrary`
      Returns:
        a copy of this function library. This must be an instance of the original class.

    - #### makeSaxonFunction

          public Expression makeSaxonFunction(String localName,
                                     Expression[] arguments,
                                     StaticContext env,
                                     Container container)
                                       throws XPathException

      Make a Saxon function with a given name
      Parameters:
        `localName` - the local name of the function
        `arguments` - the arguments of the function
        `env` - the static context
        `container` - the container for the new expression
      Returns:
        an exprssion representing a call on the given function
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.